Name:           netty
Version:        3.6.3
Release:        %mkrel 3
Summary:        An asynchronous event-driven network application framework and tools for Java

Group:          Development/Java
License:        ASL 2.0
URL:            https://netty.io/
Source0:        http://%{name}.googlecode.com/files/%{name}-%{version}.Final-dist.tar.bz2

Patch0:         %{name}-port-to-jzlib-1.1.0.patch

BuildArch:      noarch

BuildRequires:  xmvn >= 0.2.3
BuildRequires:  maven-antrun-plugin
BuildRequires:  maven-assembly-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-enforcer-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-plugin-bundle
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-source-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  ant-contrib

BuildRequires:  felix-osgi-compendium
BuildRequires:  felix-osgi-core
BuildRequires:  jboss-logging
BuildRequires:  jboss-marshalling
BuildRequires:  protobuf-java
BuildRequires:  slf4j
BuildRequires:  sonatype-oss-parent
BuildRequires:  tomcat-servlet-3.0-api
BuildRequires:  codehaus-parent

%description
Netty is a NIO client server framework which enables quick and easy
development of network applications such as protocol servers and
clients. It greatly simplifies and streamlines network programming
such as TCP and UDP socket server.

'Quick and easy' doesn't mean that a resulting application will suffer
from a maintainability or a performance issue. Netty has been designed
carefully with the experiences earned from the implementation of a lot
of protocols such as FTP, SMTP, HTTP, and various binary and
text-based legacy protocols. As a result, Netty has succeeded to find
a way to achieve ease of development, performance, stability, and
flexibility without a compromise.


%package javadoc
Summary:   API documentation for %{name}
Group:     Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}.Final
# just to be sure, but not used anyway
rm -rf jar doc license

%pom_remove_plugin :maven-jxr-plugin
%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin org.eclipse.m2e:lifecycle-mapping
%pom_remove_dep javax.activation:activation
%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_xpath_remove "pom:execution[pom:id[text()='remove-examples']]"
%pom_xpath_remove "pom:plugin[pom:artifactId[text()='maven-javadoc-plugin']]/pom:configuration"
# Set scope of optional compile dependencies to 'provided'
%pom_xpath_set "pom:dependency[pom:scope[text()='compile']
              and pom:optional[text()='true']]/pom:scope" provided

sed s/jboss-logging-spi/jboss-logging/ -i pom.xml

# Remove bundled jzlib and use system jzlib
rm -rf src/main/java/org/jboss/netty/util/internal/jzlib
%pom_add_dep com.jcraft:jzlib
sed -i s/org.jboss.netty.util.internal.jzlib/com.jcraft.jzlib/ \
    $(find src/main/java/org/jboss/netty/handler/codec -name \*.java | sort -u)
%patch0 -p1

%build
%mvn_alias : org.jboss.netty:
%mvn_file  : %{name}

# skipping tests because we don't have easymockclassextension
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt


%changelog
* Sun Sep 15 2013 dmorgan <dmorgan> 3.6.3-3.mga4
+ Revision: 479894
- Set scope of optional compile dependencies to provided
- Drop dependency on OSGi
- Resolves: rhbz#916139

* Sun Sep 15 2013 dmorgan <dmorgan> 3.6.3-1.mga4
+ Revision: 479815
- Update to upstream version 3.6.3

* Fri Jul 12 2013 dmorgan <dmorgan> 3.6.2-1.mga4
+ Revision: 453276
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 3.6.1-1.mga4
+ Revision: 453193
- New version

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 dmorgan <dmorgan> 3.5.11-2.mga3
+ Revision: 339018
- New version

* Tue Dec 04 2012 dmorgan <dmorgan> 3.5.9-1.mga3
+ Revision: 326378
- New version

* Mon Dec 03 2012 dmorgan <dmorgan> 3.5.8-1.mga3
+ Revision: 325730
- New version

* Wed Sep 12 2012 dmorgan <dmorgan> 3.5.7-1.mga3
+ Revision: 292785
- New version

* Sun Sep 09 2012 dmorgan <dmorgan> 3.2.4-2.mga3
+ Revision: 291469
- Add enforcer-plugin to BR

* Mon Jun 25 2012 dmorgan <dmorgan> 3.2.4-1.mga3
+ Revision: 263738
- New version 3.2.4

* Sat Jul 23 2011 dmorgan <dmorgan> 3.2.3-5.mga2
+ Revision: 128111
- Add buildrequire
- Fix FTBFS.
    - Adapt to current guidelines.

* Wed Apr 27 2011 dmorgan <dmorgan> 3.2.3-4.mga1
+ Revision: 91987
- Rebuild after bootstrapping
- imported package netty


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 17 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.2.3-2
- Use maven 3 to build
- Drop ant-contrib depmap (no longer needed)

* Thu Jan 13 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 3.2.3-1
- Initial version of the package

